<back to all web services

NotificationStatusRequest

The following routes are available for this service:
GET/RestApi/comments-api/notifications
import java.math.*;
import java.util.*;
import net.servicestack.client.*;

public class dtos
{

    public static class NotificationStatusRequest
    {
        public String ThreadKey = null;
        
        public String getThreadKey() { return ThreadKey; }
        public NotificationStatusRequest setThreadKey(String value) { this.ThreadKey = value; return this; }
    }

    public static class NotificationStatusResponse
    {
        public Boolean IsSubscribed = null;
        
        public Boolean getIsSubscribed() { return IsSubscribed; }
        public NotificationStatusResponse setIsSubscribed(Boolean value) { this.IsSubscribed = value; return this; }
    }

}

Java NotificationStatusRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/comments-api/notifications HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<NotificationStatusResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.Comments.DTO">
  <IsSubscribed>false</IsSubscribed>
</NotificationStatusResponse>